Skip to content
Guides
Fulfillment & ShippingSettings
shipping_settings:update

Update shipping settings

PATCH/v1/shipping/settings

Update shipping settings. A successful request returns HTTP 200 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/v1/shipping/settings" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "defaultLocationId": "7204558912004325301",    "estimatedDeliveryEnabled": false,    "estimatedDeliveryFulfillmentDays": 1,    "pickupEnabled": false,    "localDeliveryEnabled": false,    "useLiveRates": false  }'
{  "storeId": "7204558912004325301",  "defaultLocationId": "7204558912004325301",  "estimatedDeliveryEnabled": false,  "estimatedDeliveryFulfillmentDays": 1,  "pickupEnabled": false,  "localDeliveryEnabled": false,  "useLiveRates": false}